Subject: bug#12045: 24.1.50; semantic :: Debugger entered--Lisp error: (wrong-type-argument syntax-table-p nil)

From: Jambunathan K <[email-masked]>
Date: Sat, 28 Jul 2012 01:55:58 +0530

David Engster <[email-masked]> writes:

> Jambunathan K. writes:
>> I am exploring semantic for the first time.
>>
>> 1. runemacs.exe -Q
>> 2. Visit your favorite library.  M-x find-library RET org-odt.el RET
>> 3. M-x semantic-mode RET
>> 4. C-c , j (With cursor on "some" symbol)
>> 5. Note the following error.  Either some interesting thing should
>>    happen or a useful message should be echoed.
>>
>> Debugger entered--Lisp error: (wrong-type-argument syntax-table-p nil)
>
> I'm pretty sure I've fixed this bug some time ago in the upstream CEDET
> version from bzr, so it should get fixed in Emacs proper when we do the
> next merge for Emacs 24.2. If you'd like to test the upstream version,
> read here
>
> http://cedet.sourceforge.net/bzr-repo.shtml
>
> on how to get it.

I am running in to issues compiling cedet with my Cygwin shell.  This is
because my path names have spaces and the makefile doesn't allow for it.
My Emacs is a native Windows Emacs.  

Here is an annotated log.

make fails because the path has spaces

--8<---------------cut here---------------start------------->8---
kjambunathan@Jambu-NetBook /cygdrive/c/Documents and Settings/kjambunathan/My Documents/My Data/src/cedet
$ make
Removing loaddefs.el files from subprojects.
/bin/sh: line 0: cd: /cygdrive/c/Documents: No such file or directory
/bin/sh: line 0: cd: /cygdrive/c/Documents: No such file or directory
/bin/sh: line 0: cd: /cygdrive/c/Documents: No such file or directory
/bin/sh: line 0: cd: /cygdrive/c/Documents: No such file or directory
/bin/sh: line 0: cd: /cygdrive/c/Documents: No such file or directory
/bin/sh: line 0: cd: /cygdrive/c/Documents: No such file or directory
/bin/sh: line 0: cd: /cygdrive/c/Documents: No such file or directory
make: *** [clean-autoloads] Error 1
--8<---------------cut here---------------end--------------->8---

Passing CURDIR with "~" explicitly set gets me past the above hurdle and
from the looks of it compilation seems to be proceeding just fine.
      
--8<---------------cut here---------------start------------->8---
$ make EMACS="/cygdrive/c/Program\ Files/emacs-24.1.50/bin/runemacs.exe" CURDIR="~/src/cedet"
Removing loaddefs.el files from subprojects.
Generating autoloads.
make[1]: Entering directory `/cygdrive/c/Documents and Settings/kjambunathan/My Documents/My Data/src/cedet/lisp/cedet'
/cygdrive/c/Program\ Files/emacs-24.1.50/bin/runemacs.exe -batch --no-site-file --eval '(setq debug-on-error t)' -l "../../cedet-remove-builtin.el" -L ../speedbar/ -L ../eieio/ -L ./ -L ./ --eval '(setq generated-autoload-file "/cygdrive/c/Documents and Settings/kjambunathan/My Documents/My Data/src/cedet/lisp/cedet/loaddefs.el")' -f batch-update-autoloads /cygdrive/c/Documents and Settings/kjambunathan/My Documents/My Data/src/cedet/lisp/cedet
make[1]: Leaving directory `/cygdrive/c/Documents and Settings/kjambunathan/My Documents/My Data/src/cedet/lisp/cedet'
--8<---------------cut here---------------end--------------->8---

..but make fails while installing info.

--8<---------------cut here---------------start------------->8---
make[1]: Leaving directory `/cygdrive/c/Documents and Settings/kjambunathan/My Documents/My Data/src/cedet/doc/texi'
Installing info files under /cygdrive/c/Documents and Settings/kjambunathan/My Documents/My Data//src/cedet/doc/info
cp: cannot stat `/cygdrive/c/Documents': No such file or directory
~/src/cedet/doc/info/dir: could not read (No such file or directory) and could not create (No such file or directory)
cp: cannot stat `and': No such file or directory
~/src/cedet/doc/info/dir: could not read (No such file or directory) and could not create (No such file or directory)
--8<---------------cut here---------------end--------------->8---

I find no semantic.elc - file from which `semantic-mode' comes from -
in my build path.  I have a mixed feeling about how good the
compilation went.

--8<---------------cut here---------------start------------->8---
$ find . -name 'semantic.elc'

kjambunathan@Jambu-NetBook /cygdrive/c/Documents and Settings/kjambunathan/My Documents/My Data/src/cedet
--8<---------------cut here---------------end--------------->8---

> -David